/**
 * 这是所有模块公用业务逻辑的服务
 */
export default class CommonService {
    constructor(AjaxService) {
        Object.assign(this, { AjaxService })
        this.name = 'CommonService'
    }
    /* 首页初始化 */
    mallOrganizeHome(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/MallOrganize/mall/init',
            data,
            isLoading: false,
        })
    }
    /* 楼层商品 floorId  楼层Id*/
    mallOrganizeProducts(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/MallOrganize/mall/organizeProducts',
            data,
            isLoading: false,
        })
    }
    /* 首页楼层数据 */
    GetHomeDataInfo(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/home/floor',
            data,
            isLoading: false,
			  
        })
    }
    /* 首页楼层查看更多数据 */
    GetHomeFloorContentDetails(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/page/floor/details',
            data,
            isLoading: false,
			  
        })
    }
    /* 二级页楼层查看更多数据 */
    GePageFloorContentDetails(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/page/floor/centre',
            data,
            isLoading: false,
			  
        })
    }
    /* 首页顶部三个模块数据 */
    GetHomeTopDataInfo(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/home/sidebar',
            data,
            isLoading: false,
        })
    }
    /* 获取其他服务信息 */
    QueryAfterSale(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/home/sale/tips',
            data,
            isLoading: false,
        })
    }
    /* 首页金刚区分类 */
    // GetHomeInit (data = {}) {
    // 	return this.AjaxService.get({ 
    // 		url:'/home/init', 
    // 		data, 
    // 		isLoading: false ,
    // 	})
    // }
    GetHomeInit(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/home/init',
            data,
            isLoading: false,
			  
        })
    }
    /* 首页金刚区二级分类 */
    GetHomeSubMenu(data = {}) {
        return this.AjaxService.get({
            url: '/home/subMenu',
            data,
            isLoading: false,
        })
    }
    /* 首页楼层 */
    GetHomeFloorInfo(data = {}) {
        return this.AjaxService.get({
            url: '/home/floor',
            data,
            isLoading: false,
        })
    }
    /* 直播专题页图片 */
    GetHomeLiveAdvertising(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/home/sidebar',
            data,
            isLoading: false,
        })
    }
    /* 搜索热门关键词 */
    GetHomeHotSearchTerms(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/search/query/hot/keyword',
            data,
            isLoading: false,
        })
    }
    /* 二级列表楼层 */
    GetInstrumentPageData(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/classify/product',
            data,
            isLoading: false,
			  
        })
    }
    /* 一级分类 */
    GetFirstClassly(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/classify',
            data,
            isLoading: false,
			  
        })
    }
    /* 根据一级分类获取二、三级分类 */
    GetProductChildrenClassly(data = {}) {
        return this.AjaxService.get({
            url: '/product/bigType/classify',
            data,
            isLoading: false,
        })
    }
    /* 根据一、二、三级分类ID查询单条分类 */
    GetProductOneClassly(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/type/id',
            data,
            isLoading: false,
			  
        })
    }
    /*活动页面获取楼层*/
    GetActivityFloorData(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/page/beauty',
            data,
            isLoading: false,
			  
        })
    }
    /*采美公告列表*/
    GetNewsList(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/home/title',
            data,
            isLoading: true,
			  
        })
    }
    /*采美公告详情 Id */
    GetNewsCapacity(data = {}) {
        return this.AjaxService.get({
            url: '/commodity/home/capacity',
            data,
            isLoading: true,
			  
        })
    }
    /* 新品橱窗推荐商品 */
    GetHomeRecommend(data = {}) {
	    return this.AjaxService.get({
	        url: '/commodity/home/recommend',
	        data,
	        isLoading: true,
			  
	    })
    }
    /* 新品橱窗商品列表 */
    GetHomeNewFloorList(data = {}) {
	    return this.AjaxService.get({
	        url: '/commodity/home/NewFloorList',
	        data,
	        isLoading: false,
			  
	    })
    }
    /* 获取新品橱窗商品品牌列表 */
    GetHomeNewBrandNames(data = {}) {
	    return this.AjaxService.get({
	        url: '/commodity/home/BrandName',
	        data,
	        isLoading: false,
			  
	    })
    }
    /* 获取自由页数据 */
    GetPageFree(data = {}) {
	    return this.AjaxService.get({
	        url: '/commodity/home/free',
	        data,
	        isLoading: true,
			  
	    })
    }
}
